Usage event
Report usage as raw events or state updates.
Args: usage: Report of the usage of a feature. auth_context: The authentication context. organization_manager: The organization manager workspace_manager: The workspace manager
Raises: IllegalOperationError: If the user is not internal.
Authorizations
OAuth2clientCredentialsRequired
Token URL:
OAuth2authorizationCodeRequired
Authorization URL: Token URL: Refresh URL:
Body
Model for reporting raw usage of a feature.
In case of consumables the UsageReport allows the Pricing Backend to increment the usage per time-frame by 1.
organization_idstring · uuidRequired
The organization that this usage can be attributed to.
featurestring · enumRequiredPossible values:
The feature whose usage is being reported.
totalintegerRequired
The total amount of entities of this type.
metadataobject · MetadataOptionalDefault:
Allows attaching additional metadata to events.
{}Responses
200
Successful Response
application/json
Responseany
422
Validation Error
application/json
post
/usage-eventNo content
Last updated
Was this helpful?